## NMDeviceBridge NMDeviceBridge |

## Functions

const char * | nm_device_bridge_get_hw_address ()
gboolean | nm_device_bridge_get_carrier ()
const GPtrArray * | nm_device_bridge_get_slaves ()

## Types and Values

#define | NM_DEVICE_BRIDGE_HW_ADDRESS
#define | NM_DEVICE_BRIDGE_CARRIER
#define | NM_DEVICE_BRIDGE_SLAVES

## Description

## Functions

### nm_device_bridge_get_hw_address ()

    const char *
    nm_device_bridge_get_hw_address (NMDeviceBridge *device);

`nm_device_bridge_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceBridge

[skip]

#### Parameters

device | a NMDeviceBridge |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bridge_get_carrier ()

    gboolean
    nm_device_bridge_get_carrier (NMDeviceBridge *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceBridge |

#### Returns

`TRUE` if the device has carrier

### nm_device_bridge_get_slaves ()

    const GPtrArray *
    nm_device_bridge_get_slaves (NMDeviceBridge *device);

`nm_device_bridge_get_slaves` has been deprecated since version 1.34 and should not be used in newly-written code.

Use `nm_device_get_ports()` instead.

Gets the devices currently enslaved to `device` .

#### Parameters

device | a NMDeviceBridge |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

## Types and Values

### NM_DEVICE_BRIDGE_HW_ADDRESS

    #define NM_DEVICE_BRIDGE_HW_ADDRESS "hw-address"

### NM_DEVICE_BRIDGE_CARRIER

    #define NM_DEVICE_BRIDGE_CARRIER    "carrier"

### NM_DEVICE_BRIDGE_SLAVES

    #define NM_DEVICE_BRIDGE_SLAVES     "slaves"